class Connection{
  
  Neuron a;
  Neuron b;
  float weight;
  boolean sending = false;
  PVector sender;
  float output = 0;
  
  Connection(Neuron from, Neuron to, float w){
   weight = w;
   a = from;
   b = to;
  }
  
  void display(){
    stroke(120);
    strokeWeight(1+weight*4);
    line(a.location.x,a.location.y,b.location.x,b.location.y);
    if(sending){
      fill(230,230,0);
      noStroke();
      ellipse(sender.x,sender.y,16,16);
    }
  }
  
  void feedforward(float val){
    output = val*weight;    
    sender = a.location.get();
    sending = true;    
  }
  
  void update(){
    if (sending){
      sender.lerp(b.location,0.1);      
      float d = PVector.dist(sender,b.location);
      if(d<1){
        b.feedforward(output);
        sending = false;
      }
    }
  }
}


