class Neuron {
  
  PVector location;
  ArrayList<Connection> connections;
  float sum =0;
  
  Neuron(float x, float y){
    location = new PVector(x,y);
    connections = new ArrayList<Connection>();
  }
  
  void addConnection(Connection c){
    connections.add(c);
  }
  
  void display(){
    for (Connection c: connections){
      c.display();
    }
    noStroke();
    fill(220,120,120);
    ellipse(location.x,location.y,sum*50+5,sum*50+5);
  }
  
  void feedforward(float input){
    sum += input;
    if(sum>1){
      fire();
      sum = 0;
    }
    println(sum);
  }
  
  void updateConnection(){
     for(Connection c:connections){
        c.update();
      }
  }    

  void fire(){
      for(Connection c:connections){
        c.feedforward(sum);
      }
  }
}


